/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.iface;

import com.silverwrist.dynamo.except.DatabaseException;
import com.silverwrist.dynamo.util.QualifiedNameKey;

public interface MenuEditItemObject
{
  public String getItemType();

  public int getIndexOfItem();

  public int getSequence();

  public void setSequence(int seq) throws DatabaseException;

  public boolean isEnabled();

  public void setEnabled(boolean flag) throws DatabaseException;

  public int getIndent();

  public void setIndent(int indent) throws DatabaseException;

  public String getText();

  public void setText(String text) throws DatabaseException;

  public String getLinkType();

  public String getLink();

  public void setLink(String type, String link) throws DatabaseException;

  public String getTarget();

  public void setTarget(String target) throws DatabaseException;

  public String getTitle();

  public void setTitle(String title) throws DatabaseException;

  public String getOnClick();

  public void setOnClick(String on_click) throws DatabaseException;

  public QualifiedNameKey getPermission();

  public void setPermission(String namespace, String name) throws DatabaseException;

  public String getIfDefVar();

  public void setIfDefVar(String var) throws DatabaseException;

  public String getIfNotDefVar();

  public void setIfNotDefVar(String var) throws DatabaseException;

  public void delete() throws DatabaseException;

} // end interface MenuEditItemObject

